Bug 1265978 - [dvb] si2168 driver smashes stack on firmware load
[dvb] si2168 driver smashes stack on firmware load
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
22
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-24 04:49 EDT by Stuart Auchterlonie
Modified: 2015-11-12 21:51 EST (History)
7 users (show)

See Also:
Fixed In Version: kernel-4.2.3-200.fc22 kernel-4.1.12-101.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-12 21:51:07 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
full stacktrace (3.71 KB, text/plain)
2015-09-24 04:49 EDT, Stuart Auchterlonie
no flags Details

  None (edit)
Description Stuart Auchterlonie 2015-09-24 04:49:40 EDT
Created attachment 1076404 [details]
full stacktrace

Description of problem:

The PCTV 292e DVB-T2 stick requires the si2168 driver to function.
That driver in turn needs to load several firmware blobs into the
stick.

When the driver attempts to load 'dvb-demod-si2168-b40-01.fw'
the kernel crashes with a stack protection error

[  806.649970] si2168 11-0064: found a 'Silicon Labs Si2168-B40'
[  806.660504] si2168 11-0064: downloading firmware from file 'dvb-demod-si2168-b40-01.fw'
[  806.667441] si2168 11-0064: firmware download failed -95
[  806.667464] Kernel panic - not syncing: stack-protector: Kernel stack is corrupted in: ffffffffa085708f

I'll add the full backtrace as an attachment, and I have a vmcore
available on request.

Version-Release number of selected component (if applicable):

kernel-4.1.7-200.fc22.x86_64

How reproducible:

100%


Steps to Reproduce:
1. Insert stick into usb port, observe kernel detect it.
2. Attempt to scan for tv channels, which triggers a firmware load
3. crash....

Actual results:

System crashes

Expected results:

System does not crash, firmware loads successfully, and stick
is useable

Additional info:
Comment 1 Stuart Auchterlonie 2015-09-24 04:52:26 EDT
I've also tried running the debug kernel to provide better information on this crash, however it crashed without dropping a vmcore
Comment 3 Fedora Update System 2015-10-08 10:37:54 EDT
kernel-4.2.3-200.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-c15f00eb95
Comment 4 Fedora Update System 2015-10-09 09:54:38 EDT
kernel-4.2.3-200.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update kernel'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-c15f00eb95
Comment 5 Fedora Update System 2015-10-16 02:57:19 EDT
kernel-4.2.3-200.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2015-10-28 10:06:44 EDT
kernel-4.1.12-100.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-fe9a93653f
Comment 7 Fedora Update System 2015-10-28 15:12:25 EDT
kernel-4.1.12-101.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-0253d1f070
Comment 8 Fedora Update System 2015-11-01 21:54:30 EST
kernel-4.1.12-101.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update kernel'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-0253d1f070
Comment 9 Fedora Update System 2015-11-12 21:50:35 EST
kernel-4.1.12-101.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.